Bug 481465 - RFE: add an option --exclude-bin to yum-remove-with-leaves
RFE: add an option --exclude-bin to yum-remove-with-leaves
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-25 03:38 EST by Muayyad Alsadi
Modified: 2014-01-21 18:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-02 10:49:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Muayyad Alsadi 2009-01-25 03:38:28 EST
Description of problem:
it was reported to us[1] that yum-remove-with-leaves removed many bin packages
thinking that they are no longer needed
this includes firefox and pidgin
http://www.linuxac.org/forum/showthread.php?p=174727

talking from my personal experience
yes this could happen
for example I installed a game then remove it and yum removed glx-utils
...
Jan 20 01:49:42 Erased: ant-jmf
Jan 20 16:44:17 Installed: nexuiz-data-2.4.2-1.fc10.noarch
Jan 20 16:44:19 Installed: opengl-games-utils-0.1-5.fc9.noarch
Jan 20 16:44:29 Installed: nexuiz-2.4.2-3.fc10.i386
Jan 20 17:16:28 Erased: opengl-games-utils
Jan 20 17:16:28 Erased: glx-utils
Jan 20 17:16:30 Erased: nexuiz-data
Jan 20 17:16:30 Erased: nexuiz
...

Version-Release number of selected component (if applicable):
yum-utils-1.1.19-1.fc10.noarch

How reproducible:
always

Steps to Reproduce:
1. install fedora and yum-remove with-leaves (glx-utils will be installed by default)
2. install nexuiz
3. remove nexuiz

Actual results:
glx-utils is removed

Expected results:
should not remove binary leaves by default
Comment 1 seth vidal 2009-02-02 10:49:06 EST
I added an --leaves-exclude-bin option to the plugin in upstream yum-utils.

http://yum.baseurl.org/gitweb?p=yum-utils.git;a=commit;h=46bab38465ab334dd933b8fb2537d9db7fcdf722
Comment 2 Muayyad Alsadi 2009-02-02 11:01:39 EST
thanks very much, but is there a wisdom for not making it a default (other than saving some time in the loop)
Comment 3 seth vidal 2009-02-02 11:19:54 EST
You can set it as a default in the remove-with-leaves.conf file. setting exclude_bin=1 will do it.

I don't want it as the default b/c it seems like extra confusion.

Note You need to log in before you can comment on or make changes to this bug.